# Command: testsuite::test_multimeter_offset

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_multimeter_offset - Test if offset attribute works properly

Synopsis:

    (test_multimeter_offset) run -> NEST exits if test fails

Description:

      This test checks if the offset attribute of multimeter works as expected;
      contains 3 tests:

      1) checks if recorded times are indeed relative to an offset, and the first
      sampled time point is the offset itself
      2) check if data logger is initialized correctly
      3) ensures offset can only be set before the multimeter is connected to nodes
      4) ensures offset works correctly even if origin, start and stop are modified

Author:

    Barna Zajzon, 2017-03-10

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/testsuite/unittests/test_multimeter_offset.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative